You can find the latets NTai Toolkit version below:

Download

Note that the .Net framework 2.0 or above is required. If you are using Windows Vista or Windows 7 you dont have to worry about this.

Leave a Reply

*
*